
USE SVH_REPORT_DB
GO

/*
|| Autor: Jhon Reyes
|| Fecha: 2022.05.10
|| Proyecto: JUNO
|| Proceso: Actualizar la tabla MAESTRO_CARTERA, con los valores del día D+4 de VALORES_ECONOMICOS.
||				Solo se actualizaran los campos que dependen del cierre contable. Están marcados en el excel de requerimientos como "Datos D+4"
*/


--=========================================================================================================================================
--														         UPDATE CIERRE CONTABLE - MAESTRO_CARTERA
--=========================================================================================================================================


DECLARE @ANYOMES VARCHAR(6);
SET @ANYOMES = CONVERT(VARCHAR(6),DATEADD(dd,-(DAY(GETDATE())),GETDATE()),112);

	

--=======================================================================
--							TEMPORALES
--======================================================================= 

DROP TABLE IF EXISTS #TMP_SOCIEDADES

SELECT CAMPO, 
		 VALOR AS SOCIEDAD
  INTO #TMP_SOCIEDADES
  FROM [JUNO].[TMP_PARAMETRICA]
WHERE INFORME = 'SOCIEDAD'
  AND CONCEPTO = 'KUTXABANK. PERIMETRO INMOBILIARIA'
  AND FLAG = 1
  
--=======================================================================
--							U P D A T E
--======================================================================= 
    
UPDATE CARTERA
SET
CARTERA.USR058_VALOR_ADQUISICION_CONSOLIDADO = (CASE WHEN ISNULL(CIERRE.EXIST_VALOR_COMPRA, 0.00) = 0.00 THEN CIERRE.VALOR_COMPRA_TOTAL ELSE CIERRE.EXIST_VALOR_COMPRA END)
-- ... (aquí se irán poniendo el resto de campo que dependen del cierre contable de la tabla UR_VALORES_ECONOMICOS)
FROM [JUNO].[MAESTRO_CARTERA] CARTERA
INNER JOIN [JUNO].[TMP_UR_MAESTRO_HIST] UR ON CARTERA.SOCIEDAD = UR.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = UR.UNIDAD_REGISTRAL
INNER JOIN #TMP_SOCIEDADES SOC ON CARTERA.SOCIEDAD = SOC.SOCIEDAD
INNER JOIN [SVH_CORP_DB].[dbo].[UR_VALORES_ECONOMICOS] CIERRE ON CARTERA.SOCIEDAD = CIERRE.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = CIERRE.UNIDAD_REGISTRAL
WHERE CARTERA.PERIODO = @ANYOMES
AND UR.IND_MIGRACION = 'X'
		
		
UPDATE CARTERA
SET
CARTERA.ADJ007_VALOR_CONTABLE_BRUTO = CIERRE.VALOR_CONTABLE_BRUTO,
CARTERA.USR043_AMORTIZACION = CIERRE.AMORTIZACIONES,
CARTERA.USR060_DETERIORO_TOTAL_CONSOLIDADO = CIERRE.IMP_FONDO_CIA,
CARTERA.USR044_VALOR_CONTABLE_NETO = CIERRE.VALOR_CONT_NETO_CIA
-- ... (aquí se irán poniendo el resto de campo que dependen del cierre contable de la tabla UR_VALORES_ECONOMICOS)
FROM [JUNO].[MAESTRO_CARTERA] CARTERA
INNER JOIN [JUNO].[TMP_UR_MAESTRO_HIST] UR ON CARTERA.SOCIEDAD = UR.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = UR.UNIDAD_REGISTRAL
INNER JOIN #TMP_SOCIEDADES SOC ON CARTERA.SOCIEDAD = SOC.SOCIEDAD
INNER JOIN [SVH_CORP_DB].[dbo].[UR_VALORES_ECONOMICOS] CIERRE ON CARTERA.SOCIEDAD = CIERRE.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = CIERRE.UNIDAD_REGISTRAL
WHERE CARTERA.CONTROL_CARTERA IN('VENTA', 'BAJA')
AND CARTERA.PERIODO = @ANYOMES	
AND UR.IND_MIGRACION = 'X'


